<img height="1" width="1" style="display:none;" alt="" src="https://dc.ads.linkedin.com/collect/?pid=42246&amp;fmt=gif">
header3EN.jpg

5 December 2018

Maintenance 18 12 1224 Dropping support for TLS v1.0 and v1.1 on TOPdesk SaaS

December 5, 2018 11:39:58 AM CET
As part of our continuous efforts to keep our customer's data safe, we are going to drop support for TLS v1.0 and v1.1 on Tuesday, January 15th, 2019.

TLS is the encryption protocol used when contacting HTTPS websites. Versions 1.0 and 1.1 are no longer considered safe. To prevent possible downgrade attacks for all our customers, these outdated protocols will be disabled for all our hosted environments.

Recent operating systems, browsers and tools support TLS v1.2 or the recently released TLS v1.3. These will therefore not be affected by this change. Outdated operating systems and browsers might lack support for this and will not be able to access TOPdesk SaaS anymore.

This change does not require action from most of our customers, provided up-to-date operating systems, browsers and tools are used. When in doubt, please review your compatibility.

Our monitoring system do register some traffic (< 0.5%) still using these older protocols. We cannot trace this to individual users. This could include browsers on old phones, automated scripts or security tooling.

If you are concerned this change affects your operations, please verify all your software is up-to-date and supports TLS v1.2 or higher.